#include <iostream>

using namespace std;

int main()
{
    int n,p;
    cin>>n;
    int x[n],y[n],z[n];

    for(int i=0,j=0,k=0;i<n;j++,i++,k++){

        cin>>x[i];
        cin>>y[j];
        cin>>z[k];
    }
cout<<n;



    return 0;
}